<?php

function add_custom_post_types_taxonomies() {  
  // Add CPT: Completed projects
  $labels_completed_projects = array(
    'name'                  => 'Gerealiseerd',
    'singular_name'         => 'Project',
    'menu_name'             => 'Gerealiseerd',
    'name_admin_bar'        => 'Gerealiseerd project',
    'archives'              => 'Archieven projecten',
    'attributes'            => 'Kenmerken project',
    'parent_item_colon'     => '',
    'all_items'             => 'Alle projecten',
    'add_new_item'          => 'Nieuw project',
    'add_new'               => 'Nieuw project',
    'new_item'              => 'Nieuw project',
    'edit_item'             => 'Project bewerken',
    'update_item'           => 'Project bijwerken',
    'view_item'             => 'Project bekijken',
    'view_items'            => 'Projecten bekijken',
    'search_items'          => 'Zoeken in projecten',
    'not_found'             => 'Niet gevonden',
    'not_found_in_trash'    => 'Niet gevonden in prullenbak',
    'featured_image'        => '',
    'set_featured_image'    => '',
    'remove_featured_image' => '',
    'use_featured_image'    => '',
    'insert_into_item'      => 'Invoegen bij project',
    'uploaded_to_this_item' => 'Geüpload naar dit project',
    'items_list'            => 'Lijst van projecten',
    'items_list_navigation' => 'Lijstnavigatie projecten',
    'filter_items_list'     => 'Lijst van projecten filteren',
  );
  
  $args_completed_projects = array(
    'label'               => 'Gerealiseerd',
    'labels'              => $labels_completed_projects,
    'supports'            => array('title', 'excerpt', 'editor', 'thumbnail'),
    'taxonomies'          => array('project-categories'),
    'hierarchical'        => false,
    'public'              => true,
    'show_ui'             => true,
    'show_in_menu'        => true,
    'menu_position'       => 20,
    'menu_icon'           => 'dashicons-portfolio',
    'show_in_admin_bar'   => true,
    'show_in_nav_menus'   => true,
    'can_export'          => true,
    'has_archive'         => true,
    'exclude_from_search' => false,
    'publicly_queryable'  => true,
    'capability_type'     => 'post',
    'show_in_rest'        => true,
    'rewrite'             => array('slug' => 'gerealiseerd'),
  );
  
  register_post_type('completed_projects', $args_completed_projects);
  
  // Add custom taxonomy: project categories, attached to CPT Completed projects
  $labels_project_cats = array(
    'name'                       => 'Projectcategorieën',
    'singular_name'              => 'Projectcategorie',
    'menu_name'                  => 'Projectcategorieën',
    'all_items'                  => 'Alle projectcategorieën',
    'parent_item'                => 'Bovenliggende categorie',
    'parent_item_colon'          => 'Bovenliggende categorie:',
    'new_item_name'              => 'Nieuwe projectcategorie',
    'add_new_item'               => 'Nieuwe projectcategorie',
    'edit_item'                  => 'Projectcategorie bewerken',
    'update_item'                => 'Projectcategorie bijwerken',
    'view_item'                  => 'Projectcategorie bekijken',
    'separate_items_with_commas' => 'Onderscheid items met een komma',
    'add_or_remove_items'        => 'Categorieën toevoegen of verwijderen',
    'choose_from_most_used'      => 'Kies uit de meestgebruikte',
    'popular_items'              => 'Meestgebruikte categorieën',
    'search_items'               => 'Projectcategorieën doorzoeken',
    'not_found'                  => 'Niets gevonden',
    'no_terms'                   => 'Geen projectcategorieën',
    'items_list'                 => 'Lijst van projectcategorieën',
    'items_list_navigation'      => 'Lijstnavigatie projectcategorieën',
  );
  
  $args_project_cats = array(
    'labels'                     => $labels_project_cats,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => false,
  );
  
  register_taxonomy('project-categories', array('completed_projects'), $args_project_cats);
}
add_action('init', 'add_custom_post_types_taxonomies', 0);